Bug 13928 - Noisy t/Borrower tests
Summary: Noisy t/Borrower tests
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-30 13:04 UTC by M. Tompsett
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13928: Clean up noisy t/Borrower.t tests (2.12 KB, patch)
2015-03-30 13:11 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13928: Clean up noisy t/Borrower.t tests (2.12 KB, patch)
2015-03-30 13:12 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9120: Prevent form submission on adding tags - OPAC (2.95 KB, patch)
2015-03-31 03:09 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 9120: Prevent form submission on adding tags - OPAC (2.95 KB, text/plain)
2015-03-31 03:11 UTC, Aleisha Amohia
Details
[SIGNED-OFF] Bug 13928: Clean up noisy t/Borrower.t tests (2.21 KB, patch)
2015-04-08 09:24 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 13928: Clean up noisy t/Borrower.t tests (2.25 KB, patch)
2015-04-08 15:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-03-30 13:04:04 UTC
Rather than generate noisy messages which aren't caught and checked, t/Borrower.t tests should catch them and confirm they are as expected.
Comment 1 M. Tompsett 2015-03-30 13:11:09 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-03-30 13:12:07 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2015-03-31 03:09:57 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2015-03-31 03:11:28 UTC Comment hidden (obsolete)
Comment 5 Aleisha Amohia 2015-03-31 03:47:25 UTC
All tests pass, signing off.
Comment 6 Josef Moravec 2015-04-08 09:24:05 UTC Comment hidden (obsolete)
Comment 7 Tomás Cohen Arazi 2015-04-08 15:18:55 UTC
Created attachment 37586 [details] [review]
Bug 13928: Clean up noisy t/Borrower.t tests

While testing bug 13882, noisy messages were noticed. Also,
Test::Warn was used, but no catching attempts were made. This
patch solves that problem.

TEST PLAN
---------
1) prove -v t/Borrowers.t
   -- There should be three noisy lines.
2) apply patch
3) prove -v t/Borrowers.t
   -- There will be 3 more tests and no noisy lines.
4) Run koha qa test tool
   -- There should be no issues.

NOTE: This will conflict with bug 13882 if either gets pushed
      to master, but fixing the conflict should be easy enough.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Works as expected

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 8 Tomás Cohen Arazi 2015-04-08 15:22:41 UTC
Patch pushed to master.

Thanks Mark! They annoy me too!